/*

  Flame Sensor Module (Calibration) only use for Flame Module (Analog)

  Parts required:
  - Arduino Board
  - Flame Sensor Module

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 22 Jun 2019
  Version : v1.0

  ***** REMEMBER TO OPEN YOUR SERIAL MONITOR TO SEE THE RESULT *****

*/

// Initialize all variables
int analogReadPin = A0;
int analogReadValue;

void setup() {
  pinMode(analogReadPin, INPUT);                // Set analogReadPin as INPUT
  Serial.begin(9600);                           // Start Serial Communication

  // Print text to Serial Monitor
  Serial.println("--------------- INSTRUCTION ---------------");
  Serial.println("");
  Serial.println("You need to calibrate the potentiometer");
  Serial.println("on the Flame Module until the value is");
  Serial.println("between 900-950......");
  Serial.println("");
  Serial.println("REMEMBER THE VALUE OF THE POTENTIOMETER");
  Serial.println("");
  Serial.println("-------------------------------------------");
  Serial.println("");
  Serial.println("Press SPACE and ENTER when you are ready..");

  while (Serial.available() == 0) {}            // Wait until user are ready
}

void loop() {

  analogReadValue = analogRead(analogReadPin);  // Read analogReadPin and store in analogReadValue
  Serial.println(analogReadValue);              // Print to Serial monitor
  delay(100);                                   // Delay 100Ms
}
